# **Nuke Workgroup 12.2**

##### New commands:

- align nodes vertically: `alt + x`
- align nodes horizontally: `alt + y`
- read from write: `alt + shift + r`
- write from read: `shift + r`
- paste to selected: `ctrl. + shift + v`
- muster submit: `ctrl. + r`
- sceneControl: `F12`
- increment major: `ctrl. + alt + s`
- increment minor: `alt + s`
- ffmpeg render: `F6`
- stamps: `F8`
- stacking backdrops (grey): `alt + b`


##### New panels:
- search and replace panel (RightClick Windows/Custom )
- denoice with noice panel (Render/Denoise with Noice)


##### New nodes:

- sceneControl

![image](./doc/sceneControl.jpg)
![screenshot](./doc/sceneControl_m0.jpg)
![screenshot](./doc/sceneControl_m1.jpg)
![screenshot](./doc/sceneControl_m2.jpg)

- keller tab on newly created write nodes

![screenshot](./doc/ourWrite.jpg)

- musterSubmit 2

![screenshot](./doc/musterSubmit2.jpg)

- FFMpeg Render

![screenshot](./doc/ffmpegWrite.jpg)

- Denoise with Noice

![screenshot](./doc/nukeNoice.jpg)

- channelSelect

![screenshot](./doc/channelSelect.jpg)



##### Changelog:

`2021-06-18`

`sceneControl. Fixed issue if element is not set.`

`sceneControl. Improved debugging.`

`sceneControl. Deletion now also deletes Kenv`

`sceneControl. Write Nodes get a new label with the used exr compression type.`

`sceneControl. Fixed issue when unloading plugin`

`sceneControl. Simplified kenv queries`

`sceneControl. updateWriteNodeConfig() for updating the Keller tab on write nodes`

`ffmpeg_write. Initial version. NNode with correct names and burn-ins`

`our_write. Write nodes now have a compression label and a custom color to see which exr compression type is set.`

`added search and replace panel.`

`Denoise with noice. Initial version.`

`ocio config, image formats, fps and favorites are set from KEnv project_config.py.`